xine-lib: ff_audio_decoder_s Struct Reference

xine-lib 1.2.12

Data Fields
ff_audio_decoder_s Struct Reference

## Data Fields
audio_decoder_t | audio_decoder
ff_audio_class_t * | class
xine_stream_t * | stream
unsigned char * | buf
int | bufsize
int | size
AVCodecContext * | context
const AVCodec * | codec
char * | decode_buffer
int | decoder_ok
AVCodecParserContext * | parser_context
uint32_t | buftype
int | aac_mode
int | ff_channels
int | ff_bits
int | ff_sample_rate
uint64_t | ff_map
int8_t | map [6]
int8_t | left [4]
int8_t | right [4]
int | front_mixes
int | downmix_shift
int | output_open
int | ao_channels
int | new_mode
int | ao_mode
int | ao_caps

## Field Documentation

## ◆ aac_mode

int ff_audio_decoder_s::aac_mode

## ◆ ao_caps

int ff_audio_decoder_s::ao_caps

## ◆ ao_channels

int ff_audio_decoder_s::ao_channels

## ◆ ao_mode

int ff_audio_decoder_s::ao_mode

## ◆ audio_decoder

audio_decoder_t ff_audio_decoder_s::audio_decoder

## ◆ buf

unsigned char* ff_audio_decoder_s::buf

## ◆ bufsize

int ff_audio_decoder_s::bufsize

## ◆ buftype

uint32_t ff_audio_decoder_s::buftype

## ◆ class

ff_audio_class_t* ff_audio_decoder_s::class

## ◆ codec

const AVCodec* ff_audio_decoder_s::codec

## ◆ context

AVCodecContext* ff_audio_decoder_s::context

## ◆ decode_buffer

char* ff_audio_decoder_s::decode_buffer

## ◆ decoder_ok

int ff_audio_decoder_s::decoder_ok

## ◆ downmix_shift

int ff_audio_decoder_s::downmix_shift

## ◆ ff_bits

int ff_audio_decoder_s::ff_bits

## ◆ ff_channels

int ff_audio_decoder_s::ff_channels

## ◆ ff_map

uint64_t ff_audio_decoder_s::ff_map

## ◆ ff_sample_rate

int ff_audio_decoder_s::ff_sample_rate

## ◆ front_mixes

int ff_audio_decoder_s::front_mixes

## ◆ left

int8_t ff_audio_decoder_s::left[4]

## ◆ map

int8_t ff_audio_decoder_s::map[6]

## ◆ new_mode

int ff_audio_decoder_s::new_mode

## ◆ output_open

int ff_audio_decoder_s::output_open

## ◆ parser_context

AVCodecParserContext* ff_audio_decoder_s::parser_context

## ◆ right

int8_t ff_audio_decoder_s::right[4]

## ◆ size

int ff_audio_decoder_s::size

## ◆ stream

xine_stream_t* ff_audio_decoder_s::stream

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/combined/ffmpeg/ff_audio_decoder.c